package com.ruoyi.ss.room.service;

import com.ruoyi.ss.room.domain.BandRuleDTO;
import com.ruoyi.ss.room.domain.RoomVO;

/**
 * 房间校验Service接口
 *
 * @author qzz
 * @date 2024-11-20
 */
public interface IRoomValidator
{
    /**
     * 开门前校验
     *
     * @param eRoomVO 房间对象
     * @return 房间
     */
    public RoomVO preOpenDoor(RoomVO eRoomVO);


    /**
     * 应用套餐前校验
     *
     * @param eRoomVO 房间对象
     * @return 房间
     */
    public RoomVO preBandRule(BandRuleDTO eRoomVO);
}
