package com.ruoyi.ss.room.service.impl;

import cn.hutool.core.util.ObjectUtil;
import com.ruoyi.common.utils.ServiceUtil;
import com.ruoyi.ss.device.service.DeviceService;
import com.ruoyi.ss.room.domain.BandRuleDTO;
import com.ruoyi.ss.room.domain.Room;
import com.ruoyi.ss.room.domain.RoomQuery;
import com.ruoyi.ss.room.domain.RoomVO;
import com.ruoyi.ss.room.mapper.RoomMapper;
import com.ruoyi.ss.room.service.IRoomAssembler;
import com.ruoyi.ss.room.service.IRoomService;
import com.ruoyi.ss.room.service.IRoomValidator;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 房间Service业务层处理
 *
 * @author qzz
 * @date 2024-11-20
 */
@Service
public class RoomValidatorImpl implements IRoomValidator
{
    @Autowired
    private RoomMapper eRoomMapper;

    @Autowired
    private DeviceService smDeviceService;

    @Autowired
    private IRoomAssembler roomAssembler;

    /**
     * 开门前校验
     *
     * @param eRoomVO 房间对象
     * @return 房间
     */
    @Override
    public RoomVO preOpenDoor(RoomVO eRoomVO) {
        // todo 1. 如果是待使用的，可提前半小时开门，使用中的直接可以开门，其他情况都不能开
        ServiceUtil.assertion(ObjectUtil.isNull(eRoomVO), "房间不存在");
//        eRoomVO.getStatus().equals(")


        return null;
    }

    /**
     * 应用套餐前校验
     *
     * @param eRoomVO 房间对象
     * @return 房间
     */
    @Override
    public RoomVO preBandRule(BandRuleDTO eRoomVO) {
        // todo 1. 如果该房间已经存在小时套餐，做报错 2. 该套餐不是该商户的套餐，做报错  3. 该套餐不存在
        return null;
    }
}
