package com.ruoyi.ss.store.domain;

import com.ruoyi.common.core.domain.ValidGroup;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

@Data
public class StoreDTO {

    @ApiModelProperty("大门sn)")
    @NotBlank(message = "大门sn不允许为空", groups = {ValidGroup.BandGate.class})
    private String sn;

    @ApiModelProperty("店铺id")
    @NotNull(message = "店铺id不允许为空", groups = {ValidGroup.BandGate.class})
    private Long storeId;

}
