package com.ruoyi.ss.user.domain;

import com.ruoyi.common.core.domain.entity.User;
import com.ruoyi.ss.balance.domain.UserBalance;
import lombok.Data;

import java.math.BigDecimal;
import java.util.List;

/**
 * 用户对象 et_user
 *
 * @author qiuzhenzhao
 */
@Data
public class UserVO extends User
{

    /** 累计提现金额 */
    private BigDecimal totalWithdrawAmount = new BigDecimal("0.00");

    /** 可提现金额 */
    private BigDecimal withdrawalAmount;

    /** 最后账变描述 */
    private String lastChangeBalanceDesc;

    /** 用户最多余额 */
    private BigDecimal balance;

//    /** 用户余额list */
//    private List<UserBalance> userBalances;

}
